# m3e/linear_progress_indicator

LinearProgressIndicator is a horizontal bar for indicating progress and activity.

This file was generated: By: m3e/generator version 0.1.0 At: 2026-05-05T14:38:23+10:00

         DO NOT EDIT

# Types

## Config

</>

Config is a public record for configuring this component.

    pub type Config {
      Config(
        buffer_value: Float,
        max: Float,
        mode: linear_progress_mode.LinearProgressMode,
        value: Float,
        variant: progress_indicator_variant.ProgressIndicatorVariant,
      )
    }

### Constructors

-     Config(
        buffer_value: Float,
        max: Float,
        mode: linear_progress_mode.LinearProgressMode,
        value: Float,
        variant: progress_indicator_variant.ProgressIndicatorVariant,
      )

## LinearProgressIndicator

opaque </>

LinearProgressIndicator is a View Model for this component

## Fields:

- buffer_value: A fractional value, between 0 and `max`, indicating buffer progress.
- max: The maximum progress value.
- mode: The mode of the progress bar.
- value: A fractional value, between 0 and `max`, indicating progress.
- variant: The appearance of the indicator.

    pub opaque type LinearProgressIndicator

# Values

## buffer_value

</>

    pub fn buffer_value(
      record: LinearProgressIndicator,
      buffer_value: Float,
    ) -> LinearProgressIndicator

buffer_value sets the value of buffer_value for this LinearProgressIndicator.

## default_buffer_value

</>

    pub const default_buffer_value: Float

## default_config

</>

    pub fn default_config() -> Config

default_config is the default configuration for this component.

## default_max

</>

    pub const default_max: Float

## default_mode

</>

    pub const default_mode: linear_progress_mode.LinearProgressMode

## default_value

</>

    pub const default_value: Float

## default_variant

</>

    pub const default_variant: progress_indicator_variant.ProgressIndicatorVariant

## from_config

</>

    pub fn from_config(config: Config) -> LinearProgressIndicator

from_config creates a new LinearProgressIndicator from the given configuration.

## max

</>

    pub fn max(
      record: LinearProgressIndicator,
      max: Float,
    ) -> LinearProgressIndicator

max sets the value of max for this LinearProgressIndicator.

## mode

</>

    pub fn mode(
      record: LinearProgressIndicator,
      mode: linear_progress_mode.LinearProgressMode,
    ) -> LinearProgressIndicator

mode sets the value of mode for this LinearProgressIndicator.

## new

</>

    pub fn new() -> LinearProgressIndicator

new creates a new LinearProgressIndicator with the default configuration.

## render

</>

    pub fn render(
      model: LinearProgressIndicator,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render creates a Lustre Element for a LinearProgressIndicator

## render_config

</>

    pub fn render_config(
      c: Config,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render_config creates a Lustre Element from a LinearProgressIndicator Config

## value

</>

    pub fn value(
      record: LinearProgressIndicator,
      value: Float,
    ) -> LinearProgressIndicator

value sets the value of value for this LinearProgressIndicator.

## variant

</>

    pub fn variant(
      record: LinearProgressIndicator,
      variant: progress_indicator_variant.ProgressIndicatorVariant,
    ) -> LinearProgressIndicator

variant sets the value of variant for this LinearProgressIndicator.

✨